package com.engine.organization.service;

import com.engine.organization.entity.detach.param.ManagerDetachParam;

import java.util.Collection;
import java.util.Map;

/**
 * @Author weaver_cl
 * @Description:
 * @Date 2022/10/21
 * @Version V1.0
 **/
public interface ManagerDetachService {

    /**
     * 获取table列表
     * @param params
     * @return
     */
    Map<String, Object> listPage(Map<String, Object> params);

    /**
     * 新建编辑表单
     * @param id
     * @return
     */
    Map<String, Object> getForm(Integer id);

    /**
     * 批量删除
     * @param ids
     * @return
     */
    int deleteByIds(Collection<Long> ids);

    /**
     * 新增
     * @param param
     * @return
     */
    int save(ManagerDetachParam param);

    /**
     * 更新
     * @param param
     * @return
     */
    int updateDetach(ManagerDetachParam param);

    /**
     * 分权开关
     * @param isDetach
     */
    String doDetach(String isDetach);
}
